org.apache.felix.ipojo.extender.internal.linker

## Interface InstanceBundleContextAware

All Known Implementing Classes:
  HandlerManager, InstanceManager

    public interface InstanceBundleContextAware

Instance containers that can handle the bundle context from the instance declaration implement this interface, letting handlers and other entities to retrieve this bundle context.

Since:
  1.11.2

### Method Summary

All Methods Instance Methods Abstract Methods
`org.osgi.framework.BundleContext` `getInstanceContext()` Gets the bundle context of the instance, i.e.
`void` `setInstanceBundleContext(org.osgi.framework.BundleContext context)` Sets the instance bundle context.

### Method Detail

#### setInstanceBundleContext

    void setInstanceBundleContext(org.osgi.framework.BundleContext context)

Sets the instance bundle context.

Parameters:
  `context` - the context of the instance
Since:
  1.11.2

#### getInstanceContext

    org.osgi.framework.BundleContext getInstanceContext()

Gets the bundle context of the instance, i.e. the bundle context of the bundle having declared this instance.

Returns:
  the bundle context of the instance.
Since:
  1.11.2